/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package pl.jsystems.ssb;

import javax.servlet.http.HttpServletRequest;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.servlet.ModelAndView;

/**
 *
 * @author andrzej
 */
@Controller
public class LoginController {

    @RequestMapping(value = "login.do", method = RequestMethod.GET)
    public String show(Model m, 
            HttpServletRequest request,
            @RequestParam(value = "error", required = false) String error) {

        if (error != null) {
            m.addAttribute("error", "Błędne dane logowania");
        }

        return "login";
    }

    @RequestMapping(value = "logout.do", method = RequestMethod.GET)
    public String show(HttpServletRequest request) {
        System.out.println("Wylogowanie...");
        try {
            request.logout();
        } catch (Exception e) {
            e.printStackTrace();
        }
        return "redirect:login.do";
    }

}
